import { types } from 'babel-core';
import { NodePath } from 'babel-traverse';
interface IPluginOptions {
    importType?: 'require' | 'import';
    skipImport?: boolean;
}
interface ITransformerState {
    hasTransformedAny: boolean;
    opts: IPluginOptions;
}
declare const transformer: () => {
    visitor: {
        BinaryExpression(path: NodePath<types.BinaryExpression>, state: ITransformerState): void;
        AssignmentExpression(path: NodePath<types.AssignmentExpression>, state: ITransformerState): void;
        UnaryExpression(path: NodePath<types.UnaryExpression>, state: ITransformerState): void;
        UpdateExpression(path: NodePath<types.UpdateExpression>, state: ITransformerState): void;
        Program: {
            enter(_: any, state: ITransformerState): void;
            exit(path: NodePath<types.Program>, state: ITransformerState): void;
        };
    };
};
export default transformer;
